Loading...
Searching...
No Matches
QXmppSslServer Class Reference

The QXmppSslServer class represents an SSL-enabled TCP server. More...

`#include <QXmppServer.h>`

## Public Member Functions

| QXmppSslServer (QObject *parent=nullptr)
| Constructs a new SSL server instance.
void | addCaCertificates (const QList< QSslCertificate > &certificates)
void | setLocalCertificate (const QSslCertificate &certificate)
| Sets the local certificate to be used for incoming connections.
void | setPrivateKey (const QSslKey &key)
| Sets the local private key to be used for incoming connections.
Q_SIGNAL void | newConnection (QSslSocket *socket)
| This signal is emitted when a new connection is established.

## Detailed Description

The QXmppSslServer class represents an SSL-enabled TCP server.

## Member Function Documentation

## addCaCertificates()

void QXmppSslServer::addCaCertificates | ( | const QList< QSslCertificate > & | certificates | ) |

Adds the given certificates to the CA certificate database to be used for incoming connections.

The documentation for this class was generated from the following files:

- QXmppServer.h
- QXmppServer.cpp